
Application: gvSIG desktop - gvSIG bugs #5629
No deja abrir una tabla desde el gestor de proyecto
04/30/2021 12:40 PM - Victor  Montes Camara

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.6.0-3221
Severity: Blocker Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

Desde el gestor de proyecto, documentos, tabla, al pulsar el botón nuevo genere el siguiente error y no hace nada:

INFO 538864 AWT-EventQueue-0 org.gvsig.app.project.ProjectManager - createDocumentsByUser('project.document.table')
ERROR 538876 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Error de la applicacion.  
Es conveniente que salga de la aplicación

org.gvsig.geodb.TableInfoController.<init>(Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JList;Ljavax/swing/JTextField;Lja
ax/swing/JComboBox;Ljavax/swing/JComboBox;Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JLabel;)V
JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JLabel;)V
java.lang.NoSuchMethodError:
org.gvsig.geodb.TableInfoController.<init>(Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JList;Ljavax/swing/JTextField;Ljavax/swing/JComboBox;Ljavax/sw
ax/swing/JComboBox;Ljavax/swing/JComboBox;Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JLabel;)V
JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JButton;Ljavax/swing/JLabel;)V
    at org.gvsig.vcsgis.app.addlayer.AbstractWizardVCSGis.initComponents(AbstractWizardVCSGis.java:176)
    at org.gvsig.vcsgis.app.addlayer.AbstractWizardVCSGis.<init>(AbstractWizardVCSGis.java:76)
    at org.gvsig.vcsgis.app.addlayer.WizardVCSGisTabular.<init>(WizardVCSGisTabular.java:23)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at java.lang.Class.newInstance(Unknown Source)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPointManager.create(DefaultExtensionPointManager.java:64)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPoint$Extension.create(DefaultExtensionPoint.java:108)
    at org.gvsig.app.imp.DefaultApplicationManager.getWizardPanels(DefaultApplicationManager.java:297)
    at org.gvsig.app.project.documents.table.TableManager.createDocumentsByUser(TableManager.java:205)
    at org.gvsig.app.project.ProjectManager.createDocumentsByUser(ProjectManager.java:190)
    at
org.gvsig.app.project.documents.gui.projectpanel.ProjectDocumentsPanelPage.doDocumentNew(ProjectDocumentsPanelPage.java:359)
59)
    at
org.gvsig.app.project.documents.gui.projectpanel.ProjectDocumentsPanelPage.access$100(ProjectDocumentsPanelPage.java:54)
    at
org.gvsig.app.project.documents.gui.projectpanel.ProjectDocumentsPanelPage$3.actionPerformed(ProjectDocumentsPanelPage.java:122)
:122)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5631: No aparece la fich... Closed 04/30/2021

History
#1 - 05/04/2021 12:57 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #5631: No aparece la ficha VCSGis en la ventana Añadir capa added

#2 - 05/04/2021 12:58 PM - Joaquín  del Cerro Murciano
- Severity changed from Minor to Blocker
- Target version set to 2.6.0-3221
- Priority changed from Normal to Immediate

#3 - 05/04/2021 01:04 PM - Joaquín  del Cerro Murciano
- gvSIG build set to 3220

#4 - 05/13/2021 08:07 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

En la version final del build 3220 no pasaba.
Al parecer se habia probado con un build que aun no estaba terminado y habia un problema con la version de unos jars.

#5 - 05/14/2021 09:53 AM - Joaquín  del Cerro Murciano
- Hito set to Fase 01

#6 - 05/19/2021 11:39 AM - Álvaro Anguix
- Status changed from Fixed to Closed
